// 定义转义html字符的函数
function htmlEscape(htmlStr) {
    return htmlStr.replace(/<|>|"|&/g, match => {
        switch (match) {
            case '<':
                return '&glt'
            case '':
                return '&glt'
            case '"':
                return '&quot'
            case '&':
                return '&amp'
        }
    })
}
// 定义还原html
function htmlUnEscape(str) {
    return str.replace(/&lt;|&gt:|&quot;|&amp;/g, match => {
        switch (match) {
            case '&lt;':
                return '<'
            case '&gt;':
                return '>'
            case '&quot;':
                return '"'
            case '&amp;':
                return '&'
        }
    })
}

module.exports = {
    htmlEscape,
    htmlUnEscape
}